//const Produto = require('../models/produto');
//const produtos = new Produto();
const { produto } = require('../models');

const listar = function(req, res){ 
  res.render('produtos/listar', {
    produtos: produtos.listar()
  })
}

const visualizar = function(req, res){
  res.render('produtos/visualizar', {
    produto: produtos.buscarPorID(req.params.id)
  })
}

const buscar = function(req, res){
  const produto = req.query.produto
  res.render('produtos/buscar', {
    produtos: produto
  })
}

module.exports = { listar, visualizar, buscar }